Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_SFP_Base Class Reference

@brief. More...

`#include <sfp.h>`

List of all members.

## Public Types
enum | State { ACTIVE_START, PASSIVE_START, TIMEDOUT_T1, TIMEDOUT_T2, REPLY_RECEIVED, START_RECEIVED }
## Public Methods
| TAO_SFP_Base (void)
## Static Public Methods
CORBA::Boolean | start_frame (CORBA::Octet flags, flowProtocol::MsgType type, TAO_OutputCDR &msg)
CORBA::Boolean | write_start_message (TAO_OutputCDR &msg)
CORBA::Boolean | write_start_reply_message (TAO_OutputCDR &msg)
CORBA::Boolean | write_credit_message (CORBA::ULong cred_num, TAO_OutputCDR &msg)
CORBA::Boolean | write_fragment_message (CORBA::Octet flags, CORBA::ULong fragment_number, CORBA::ULong sequence_number, CORBA::ULong source_id, TAO_OutputCDR &msg)
CORBA::Boolean | write_frame_message (CORBA::ULong timestamp, CORBA::ULong synchSource, flowProtocol::my_seq_ulong source_ids, CORBA::ULong sequence_num, TAO_OutputCDR &msg)
int | send_message (TAO_AV_Transport *transport, TAO_OutputCDR &stream, ACE_Message_Block *mb=0)
int | peek_message_type (TAO_AV_Transport *transport, flowProtocol::MsgType &type)
int | read_start_message (TAO_AV_Transport *transport, flowProtocol::Start &start, TAO_InputCDR &cdr)
int | read_start_reply_message (TAO_AV_Transport *transport, flowProtocol::StartReply &start_reply, TAO_InputCDR &cdr)
int | read_credit_message (TAO_AV_Transport *transport, flowProtocol::credit &credit, TAO_InputCDR &cdr)
int | read_endofstream_message (TAO_AV_Transport *transport, flowProtocol::frameHeader &endofstream, TAO_InputCDR &cdr)
int | read_frame (TAO_AV_Transport *transport, flowProtocol::frameHeader &frame_header, TAO_SFP_Frame_State &state, TAO_AV_frame_info *&frame_info)
int | read_fragment (TAO_AV_Transport *transport, flowProtocol::fragment &fragment, TAO_SFP_Frame_State &state, TAO_AV_frame_info *&frame_info)
int | peek_frame_header (TAO_AV_Transport *transport, flowProtocol::frameHeader &header, TAO_InputCDR &cdr)
int | peek_fragment_header (TAO_AV_Transport *transport, flowProtocol::fragment &fragment, TAO_InputCDR &cdr)
int | handle_input (TAO_AV_Transport *transport, TAO_SFP_Frame_State &state, TAO_AV_frame_info *&frame_info)
ACE_Message_Block * | check_all_fragments (TAO_SFP_Fragment_Table_Entry *fragment_entry)
## Static Public Attributes
const char * | TAO_SFP_ORB_ARGUMENTS = "-ORBobjrefstyle URL"
const char * | TAO_SFP_MAGIC_NUMBER = "=SFP"
const char * | TAO_SFP_FRAGMENT_MAGIC_NUMBER = "FRAG"
const char * | TAO_SFP_START_MAGIC_NUMBER = "=STA"
const char * | TAO_SFP_CREDIT_MAGIC_NUMBER = "=CRE"
const char * | TAO_SFP_STARTREPLY_MAGIC_NUMBER = "=STR"
const unsigned char | TAO_SFP_MAJOR_VERSION = 1
const unsigned char | TAO_SFP_MINOR_VERSION = 0
const unsigned char | TAO_SFP_FRAME_HEADER_LEN = 12
const unsigned char | TAO_SFP_MESSAGE_SIZE_OFFSET = 8
const unsigned char | TAO_SFP_FRAGMENT_SIZE_OFFSET = 16
u_int | frame_header_len
u_int | start_reply_len
u_int | start_len
u_int | credit_len
u_int | fragment_len
## Static Protected Methods
void | dump_buf (char *buf, int n)

## Detailed Description

@brief.

## Member Enumeration Documentation

enum TAO_SFP_Base::State

  | Enumeration values:
  ACTIVE_START |
  PASSIVE_START |
  TIMEDOUT_T1 |
  TIMEDOUT_T2 |
  REPLY_RECEIVED |
  START_RECEIVED |

## Constructor & Destructor Documentation

TAO_SFP_Base::TAO_SFP_Base | ( | void |  | ) |

## Member Function Documentation

ACE_Message_Block * TAO_SFP_Base::check_all_fragments | ( | TAO_SFP_Fragment_Table_Entry * | fragment_entry | ) | `[static]`

void TAO_SFP_Base::dump_buf | ( | char * | buffer,
|  | int | size
| ) | `[static, protected]`

int TAO_SFP_Base::handle_input | ( | TAO_AV_Transport * | transport,
|  | TAO_SFP_Frame_State & | state,
|  | TAO_AV_frame_info *& | frame_info
| ) | `[static]`

int TAO_SFP_Base::peek_fragment_header | ( | TAO_AV_Transport * | transport,
|  | flowProtocol::fragment & | fragment,
|  | TAO_InputCDR & | input
| ) | `[static]`

int TAO_SFP_Base::peek_frame_header | ( | TAO_AV_Transport * | transport,
|  | flowProtocol::frameHeader & | header,
|  | TAO_InputCDR & | input
| ) | `[static]`

int TAO_SFP_Base::peek_message_type | ( | TAO_AV_Transport * | transport,
|  | flowProtocol::MsgType & | msg_type
| ) | `[static]`

int TAO_SFP_Base::read_credit_message | ( | TAO_AV_Transport * | transport,
|  | flowProtocol::credit & | credit,
|  | TAO_InputCDR & | input
| ) | `[static]`

int TAO_SFP_Base::read_endofstream_message | ( | TAO_AV_Transport * | transport,
|  | flowProtocol::frameHeader & | endofstream,
|  | TAO_InputCDR & | input
| ) | `[static]`

int TAO_SFP_Base::read_fragment | ( | TAO_AV_Transport * | transport,
|  | flowProtocol::fragment & | fragment,
|  | TAO_SFP_Frame_State & | state,
|  | TAO_AV_frame_info *& | frame_info
| ) | `[static]`

int TAO_SFP_Base::read_frame | ( | TAO_AV_Transport * | transport,
|  | flowProtocol::frameHeader & | frame_header,
|  | TAO_SFP_Frame_State & | state,
|  | TAO_AV_frame_info *& | frame_info
| ) | `[static]`

int TAO_SFP_Base::read_start_message | ( | TAO_AV_Transport * | transport,
|  | flowProtocol::Start & | start,
|  | TAO_InputCDR & | input
| ) | `[static]`

int TAO_SFP_Base::read_start_reply_message | ( | TAO_AV_Transport * | transport,
|  | flowProtocol::StartReply & | start_reply,
|  | TAO_InputCDR & | input
| ) | `[static]`

int TAO_SFP_Base::send_message | ( | TAO_AV_Transport * | transport,
|  | TAO_OutputCDR & | stream,
|  | ACE_Message_Block * | mb = 0
| ) | `[static]`

CORBA::Boolean TAO_SFP_Base::start_frame | ( | CORBA::Octet | flags,
|  | flowProtocol::MsgType | type,
|  | TAO_OutputCDR & | msg
| ) | `[static]`

CORBA::Boolean TAO_SFP_Base::write_credit_message | ( | CORBA::ULong | cred_num,
|  | TAO_OutputCDR & | msg
| ) | `[static]`

CORBA::Boolean TAO_SFP_Base::write_fragment_message | ( | CORBA::Octet | flags,
|  | CORBA::ULong | fragment_number,
|  | CORBA::ULong | sequence_number,
|  | CORBA::ULong | source_id,
|  | TAO_OutputCDR & | msg
| ) | `[static]`

CORBA::Boolean TAO_SFP_Base::write_frame_message | ( | CORBA::ULong | timestamp,
|  | CORBA::ULong | synchSource,
|  | flowProtocol::my_seq_ulong | source_ids,
|  | CORBA::ULong | sequence_num,
|  | TAO_OutputCDR & | msg
| ) | `[static]`

CORBA::Boolean TAO_SFP_Base::write_start_message | ( | TAO_OutputCDR & | msg | ) | `[static]`

CORBA::Boolean TAO_SFP_Base::write_start_reply_message | ( | TAO_OutputCDR & | msg | ) | `[static]`

## Member Data Documentation

u_int TAO_SFP_Base::credit_len`[static]`

u_int TAO_SFP_Base::fragment_len`[static]`

u_int TAO_SFP_Base::frame_header_len`[static]`

u_int TAO_SFP_Base::start_len`[static]`

u_int TAO_SFP_Base::start_reply_len`[static]`

const char * TAO_SFP_Base::TAO_SFP_CREDIT_MAGIC_NUMBER = "=CRE"`[static]`

const char * TAO_SFP_Base::TAO_SFP_FRAGMENT_MAGIC_NUMBER = "FRAG"`[static]`

const unsigned char TAO_SFP_Base::TAO_SFP_FRAGMENT_SIZE_OFFSET = 16`[static]`

const unsigned char TAO_SFP_Base::TAO_SFP_FRAME_HEADER_LEN = 12`[static]`

const char * TAO_SFP_Base::TAO_SFP_MAGIC_NUMBER = "=SFP"`[static]`

const unsigned char TAO_SFP_Base::TAO_SFP_MAJOR_VERSION = 1`[static]`

const unsigned char TAO_SFP_Base::TAO_SFP_MESSAGE_SIZE_OFFSET = 8`[static]`

const unsigned char TAO_SFP_Base::TAO_SFP_MINOR_VERSION = 0`[static]`

const char * TAO_SFP_Base::TAO_SFP_ORB_ARGUMENTS = "-ORBobjrefstyle URL"`[static]`

const char * TAO_SFP_Base::TAO_SFP_START_MAGIC_NUMBER = "=STA"`[static]`

const char * TAO_SFP_Base::TAO_SFP_STARTREPLY_MAGIC_NUMBER = "=STR"`[static]`

The documentation for this class was generated from the following files:

- sfp.h
- sfp.cpp